gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Widget canvas item

A canvas item for placing arbitrary objects onto a canvas.

Gnome.CanvasItem
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new Widget container
  The that this item belongs to.
- Property
  System.Double Width of widget (units specified by property). the width of the widget GLib.Property("width")
- Property
  System.Double Height of widget (units specified by property). the height of the widget GLib.Property("height")
- Property
  Gtk.AnchorType Anchor position for widget. anchor position for the widget GLib.Property("anchor")
- Property
  Gtk.Widget The embedded widget the embedded widget GLib.Property("widget")
- Property
  System.Boolean Whether the widget size is specified in pixels or canvas units. whether the widget size is specified in pixels or canvas units. GLib.Property("size_pixels")
- Property
  System.Double Y coordinate of anchor point. Y coordinate of anchor point. GLib.Property("y")
- Property
  System.Double X coordinate of anchor point. X coordinate of anchor point. GLib.Property("x")
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  To be added
  To be added